OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol Class Reference

`#include <StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol.hxx>`

Inheritance diagram for StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol:

[legend]

## Public Member Functions
Standard_EXPORT | StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_MeasureWithUnit)&aMagnitude, const Handle(StepRepr_ShapeAspect)&aTolerancedShapeAspect, const Handle(StepDimTol_GeometricToleranceWithDatumReference)&aGTWDR, const Handle(StepDimTol_ModifiedGeometricTolerance)&aMGT)
Standard_EXPORT void | SetGeometricToleranceWithDatumReference (const Handle(StepDimTol_GeometricToleranceWithDatumReference)&aGTWDR)
Standard_EXPORT Handle_StepDimTol_GeometricToleranceWithDatumReference | GetGeometricToleranceWithDatumReference () const
Standard_EXPORT void | SetModifiedGeometricTolerance (const Handle(StepDimTol_ModifiedGeometricTolerance)&aMGT)
Standard_EXPORT Handle_StepDimTol_ModifiedGeometricTolerance | GetModifiedGeometricTolerance () const
Standard_EXPORT void | SetPositionTolerance (const Handle(StepDimTol_PositionTolerance)&aPT)
Standard_EXPORT Handle_StepDimTol_PositionTolerance | GetPositionTolerance () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepDimTol_GeometricToleranceWithDatumReference | myGeometricToleranceWithDatumReference
Handle_StepDimTol_ModifiedGeometricTolerance | myModifiedGeometricTolerance
Handle_StepDimTol_PositionTolerance | myPositionTolerance

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepDimTol_GeometricToleranceWithDatumReference StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::GetGeometricToleranceWithDatumReference | ( |  | ) | const

Standard_EXPORT Handle_StepDimTol_ModifiedGeometricTolerance StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::GetModifiedGeometricTolerance | ( |  | ) | const

Standard_EXPORT Handle_StepDimTol_PositionTolerance StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::GetPositionTolerance | ( |  | ) | const

Standard_EXPORT const StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepDimTol_GeometricTolerance.

Standard_EXPORT void StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_MeasureWithUnit)& | aMagnitude,
|  | const Handle(StepRepr_ShapeAspect)& | aTolerancedShapeAspect,
|  | const Handle(StepDimTol_GeometricToleranceWithDatumReference)& | aGTWDR,
|  | const Handle(StepDimTol_ModifiedGeometricTolerance)& | aMGT
| ) |

Standard_EXPORT void StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::SetGeometricToleranceWithDatumReference | ( | const Handle(StepDimTol_GeometricToleranceWithDatumReference)& | aGTWDR | ) |

Standard_EXPORT void StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::SetModifiedGeometricTolerance | ( | const Handle(StepDimTol_ModifiedGeometricTolerance)& | aMGT | ) |

Standard_EXPORT void StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::SetPositionTolerance | ( | const Handle(StepDimTol_PositionTolerance)& | aPT | ) |

## Field Documentation

Handle_StepDimTol_GeometricToleranceWithDatumReference StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::myGeometricToleranceWithDatumReference`[private]`

Handle_StepDimTol_ModifiedGeometricTolerance StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::myModifiedGeometricTolerance`[private]`

Handle_StepDimTol_PositionTolerance StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol::myPositionTolerance`[private]`

The documentation for this class was generated from the following file:

- StepDimTol_GeoTolAndGeoTolWthDatRefAndModGeoTolAndPosTol.hxx